org.springframework.data.annotation

## Annotation Type AccessType

    @Documented
     @Target(value={ANNOTATION_TYPE,TYPE,FIELD,METHOD})
     @Retention(value=RUNTIME)
    public @interface AccessType

Annotation to define how Spring Data shall access values of persistent properties. Can either be `AccessType.Type.FIELD` or `AccessType.Type.PROPERTY`. Default is field access.

Author:
  Oliver Gierke

### Required Element Summary

Required Elements
`AccessType.Type` `value` The access type to be used.

### Element Detail

#### value

    public abstract AccessType.Type value

The access type to be used.

Returns: